// Copyright Earl Warren <contact@earl-warren.org>
// Copyright Loïc Dachary <loic@dachary.org>
// SPDX-License-Identifier: MIT

package f3

import (
	"testing"

	tests_forge "code.forgejo.org/f3/gof3/v3/tree/tests/f3/forge"
)

func TestF3Forge(t *testing.T) {
	for name := range tests_forge.GetFactories() {
		t.Run(name, func(t *testing.T) {
			ForgeCompliance(t, name)
		})
	}
}
